package com.gic.download.utils;

import java.io.Serializable;
import java.util.List;

/**
 * 工具初始化参数
 * @ClassName: DataDownload 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/5 9:53 AM 
 */
public class DataDownload implements Serializable{
    private static final long serialVersionUID = -3448865281389941085L;
    /**
     * 报表中心ID
     */
    private Integer reportId;
    /**
     * 待下载文件名
     */
    private String fileName;

    /**
     * 待下载文件临时路径
     */
    private String tempPath;
    /**
     * 下载字段名，用于反射获取字段值
     */
    private List<String> fieldList;
    /**
     * 待下载文件标题，一一对应字段名
     */
    private List<String> titleList;
    /**
     * 数据总页数，用于分页生成csv，避免内存溢出
     */
    private int totalPage;

    public Integer getReportId() {
        return reportId;
    }

    public void setReportId(Integer reportId) {
        this.reportId = reportId;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getTempPath() {
        return tempPath;
    }

    public void setTempPath(String tempPath) {
        this.tempPath = tempPath;
    }

    public List<String> getFieldList() {
        return fieldList;
    }

    public void setFieldList(List<String> fieldList) {
        this.fieldList = fieldList;
    }

    public List<String> getTitleList() {
        return titleList;
    }

    public void setTitleList(List<String> titleList) {
        this.titleList = titleList;
    }

    public int getTotalPage() {
        return totalPage;
    }

    public void setTotalPage(int totalPage) {
        this.totalPage = totalPage;
    }
}
